## org.apache.tools.ant.taskdefs.optional.jdepend
Class JDependTask.FormatAttribute

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.optional.jdepend.JDependTask.FormatAttribute

Enclosing class:
  JDependTask

    public static class JDependTask.FormatAttribute

extends EnumeratedAttribute

A class for the enumerated attribute format, values are xml and text.

See Also:
  `EnumeratedAttribute`

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JDependTask.FormatAttribute()`

Method Summary
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDependTask.FormatAttribute

    public JDependTask.FormatAttribute()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    the enumerated values